HK Asia Holdings Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/hk-asia-holdings-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/hk-asia-holdings-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1742428800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.mooninc.hk/storage/v1/object/sign/announcements/2025-03-21_Announcements_and_Notices_-_Discloseable_Transaction__Change_in_Company_Secretary_1_DISCLOSEABLE_TRA.pdf?token=eyJraWQiOiJzdG9yYWdlLXVybC1zaWduaW5nLWtleV9mY2NlMTdiMC1mYWRmLTRmYTYtOTc5NS1hYmE2ZTUzOTMzOTgiLCJhbGciOiJIUzI1NiJ9.eyJ1cmwiOiJhbm5vdW5jZW1lbnRzLzIwMjUtMDMtMjFfQW5ub3VuY2VtZW50c19hbmRfTm90aWNlc18tX0Rpc2Nsb3NlYWJsZV9UcmFuc2FjdGlvbl9fQ2hhbmdlX2luX0NvbXBhbnlfU2VjcmV0YXJ5XzFfRElTQ0xPU0VBQkxFX1RSQS5wZGYiLCJpYXQiOjE3NjQyMjU2OTEsImV4cCI6MTc2NDIyNTk5MX0.HF_Ehs3hJEyPsG0op74fRhnJILK_efXHDNEo2kpyeV8",
    "holding_balance": 18.88,
    "holding_net_change": 10.0,
    "transaction_value_usd": 858581.15,
    "average_entry_value_usd": 85858.12,
    "transaction_value_calculated": false
  },
  {
    "date": 1744329600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.mooninc.hk/storage/v1/object/sign/announcements/2025-04-14_Announcements_and_Notices_-_Discloseable_Transaction_DISCLOSEABLE_TRANSACTION_-_FURTHER_PURCHASE_OF_.pdf?token=eyJraWQiOiJzdG9yYWdlLXVybC1zaWduaW5nLWtleV9mY2NlMTdiMC1mYWRmLTRmYTYtOTc5NS1hYmE2ZTUzOTMzOTgiLCJhbGciOiJIUzI1NiJ9.eyJ1cmwiOiJhbm5vdW5jZW1lbnRzLzIwMjUtMDQtMTRfQW5ub3VuY2VtZW50c19hbmRfTm90aWNlc18tX0Rpc2Nsb3NlYWJsZV9UcmFuc2FjdGlvbl9ESVNDTE9TRUFCTEVfVFJBTlNBQ1RJT05fLV9GVVJUSEVSX1BVUkNIQVNFX09GXy5wZGYiLCJpYXQiOjE3NjQyMjU3ODQsImV4cCI6MTc2NDIyNjA4NH0.xW1dQ2e7eeGns0MoSPgMEa7Rv3LB0yGZgznp6q-tKN0",
    "holding_balance": 28.88,
    "holding_net_change": 10.0,
    "transaction_value_usd": 806671.39,
    "average_entry_value_usd": 80667.14,
    "transaction_value_calculated": false
  },
  {
    "date": 1761609600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.mooninc.hk/storage/v1/object/sign/announcements/2025/announcements/2025-10-31-1761933998595%20-%20DISCLOSEABLE%20TRANSACTION%20-%20FURTHER%20PURCHASE%20OF%20CRYPTOCURRENC.pdf?token=eyJraWQiOiJzdG9yYWdlLXVybC1zaWduaW5nLWtleV9mY2NlMTdiMC1mYWRmLTRmYTYtOTc5NS1hYmE2ZTUzOTMzOTgiLCJhbGciOiJIUzI1NiJ9.eyJ1cmwiOiJhbm5vdW5jZW1lbnRzLzIwMjUvYW5ub3VuY2VtZW50cy8yMDI1LTEwLTMxLTE3NjE5MzM5OTg1OTUgLSBESVNDTE9TRUFCTEUgVFJBTlNBQ1RJT04gLSBGVVJUSEVSIFBVUkNIQVNFIE9GIENSWVBUT0NVUlJFTkMucGRmIiwiaWF0IjoxNzY0MjI1NjAwLCJleHAiOjE3NjQyMjU5MDB9.BXZwHOKZG-sCaUw-E2csY9vnG3mEMNMSnnH0QxedlNI",
    "holding_balance": 29.48,
    "holding_net_change": 0.6,
    "transaction_value_usd": 68000.0,
    "average_entry_value_usd": 113333.33,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/hk-asia-holdings-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    29.48
  ],
  [
    1779062400000,
    29.48
  ],
  [
    1779148800000,
    29.48
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/hk-asia-holdings-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2282632.2728
  ],
  [
    1779062400000,
    2268317.0796
  ],
  [
    1779148800000,
    2262885.0948
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/hk-asia-holdings-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.3,
    "date": "2026-05-15",
    "high": 1.5,
    "open": 1.37,
    "close": 1.35,
    "volume": 662000
  },
  {
    "low": 1.08,
    "date": "2026-05-18",
    "high": 1.43,
    "open": 1.37,
    "close": 1.16,
    "volume": 1262000
  },
  {
    "low": 1.11,
    "date": "2026-05-19",
    "high": 1.2,
    "open": 1.17,
    "close": 1.2,
    "volume": 280000
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/hk-asia-holdings-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.725,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/hk-asia-holdings-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 20.0,
  "six_month_return": -48.94,
  "three_month_return": 9.09
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/hk-asia-holdings-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.4,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}